<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (empty($user_id)) go(URL);

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	
}
else go(URL);

$title = lang('Магазин - Товары','Крамниця - Товари');
require_once '../incfiles/head.php';

$result = mysql_query("SELECT * FROM `groups` WHERE `id` = '".$id."' LIMIT 1");
$arr_group = mysql_fetch_array($result);

if($_GET['act'] == 'admin'){
	
	$req = mysql_query("SELECT * FROM `shop` WHERE `id` = '".intval($_GET['view'])."' LIMIT 1");
	$shop = mysql_fetch_array($req);
	
	if($user_id == $shop['user_id'] && in_array($user_id, explode("||", substr($arr_group['admins'], 1, -1)))){
		
		echo '<div class="title">
	<a href="'.URL.'/groups/?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Сообщество','Спільнота').'</a>
	<a href="'.URL.'/groups/shop.php?id='.$id.'&view='.$_GET['view'].'&act=admin" onclick="Page.Go(this.href); return false">'.lang('Управление магазином','Управлiння крамницею').'</a>
	</div>';
		
		if($_POST['save'] == 1){
			if(!empty($_FILES['screen']['name'])){
				$ext = mb_strtolower(pathinfo($_FILES['screen']['name'], PATHINFO_EXTENSION));
			}else{
				$ext = 'png';
			}
			$rand = mt_rand(1111111,9999999);
			
				if(!empty($_FILES['screen2']['name'])){
				$ext = mb_strtolower(pathinfo($_FILES['screen2']['name'], PATHINFO_EXTENSION));
			}else{
				$ext2 = 'png';
			}
			$rand2 = mt_rand(2222222,8888888);
			
			if(!empty($_FILES['screen2']['name'])){
				$ext = mb_strtolower(pathinfo($_FILES['screen3']['name'], PATHINFO_EXTENSION));
			}else{
				$ext3 = 'png';
			}
			$rand3 = mt_rand(3333333,7777777);
			
			
			if(empty($_POST['name'])){
				echo ok(lang('Вы не указали названия','Ви не вказали найменування'));
			}elseif(empty($_POST['msg'])){
				echo ok(lang('Вы не указали сообщения','Ви не вказали повідомлення'));
				}elseif(empty($_POST['uah'])){
				echo ok(lang('Вы не указали UAH','Ви не вказали UAH'));
				}elseif(empty($_POST['usd'])){
				echo ok(lang('Вы не указали USD','Ви не вказали USD'));
				}elseif($ext != 'png' && $ext != 'gif' && $ext != 'jpeg' && $ext != 'jpg'){
				echo ok(lang('Неверное расширения скриншота','Неверное расширения скриншота'));
				}elseif($ext2 != 'png' && $ext2 != 'gif' && $ext2 != 'jpeg' && $ext2 != 'jpg'){
				echo ok(lang('Неверное расширения скриншота 2','Неверное расширения скриншота 2'));
				}elseif($ext3 != 'png' && $ext3 != 'gif' && $ext3 != 'jpeg' && $ext3 != 'jpg'){
				echo ok(lang('Неверное расширения скриншота 3','Неверное расширения скриншота 3'));

			}else{
				if(!empty($_FILES['screen'] ['screen2'] ['screen3'] ['name'] ['name'])){
					$screen = '`screen` = "'.$rand.'.'.$ext.'",';
					$screen2 = '`screen2` = "'.$rand2.'.'.$ext2.'",';
					$screen3 = '`screen3` = "'.$rand3.'.'.$ext3.'",';
				}
					mysql_query("UPDATE `shop` SET 
					`name` = '".mysql_real_escape_string($_POST['name'])."',
					`uah` = '".mysql_real_escape_string($_POST['uah'])."',
					`usd` = '".mysql_real_escape_string($_POST['usd'])."',
					`text` = '".mysql_real_escape_string($_POST['msg'])."',
					$screen
					$screen2
					$screen3
					`access_kom` = '".abs(intval($_POST['access_kom']))."' WHERE `id` = '".intval($_GET['view'])."'"); 
					
					
					go(URL.'/groups/shop.php?id='.$id.'&view='.$_GET['view']);
			}
		}
		
	?>
<script type="text/javascript">
$(function(){
	$('#form').on('submit', function(e){
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      success: function(response){
        if(response){
 			$('.content').html(response);
       }
     }
    });
  });
});
</script>

<?	
		echo '<form id="form" method="post" action="'.URL.'/groups/shop.php?id='.$id.'&view='.$_GET['view'].'&act=admin"  enctype="multipart/form-data">';
		echo '<div class="block">'.lang('Название товара','Назва товару').': <input class="input" type="text" name="name" value="'.$shop['name'].'"></div>';
		echo '<div class="block">'.lang('Цена','Ціна').'UAH: <input class="input" name="uah" rows="4"></input></div>';
		echo '<div class="block">'.lang('Цена','Ціна').'USD: <input class="input" name="usd" rows="4"></input></div>';
		echo '<div class="block">'.lang('Описание','Опис').': <textarea class="input" name="msg" rows="4">'.$shop['text'].'</textarea></div>';
		echo '<div class="block">
	'.lang('Отзивы','Відгуки').': 
	<select class="input2" name="access_kom">
	<option value="0"'. ($shop['access_kom'] == 0?' selected="selected"':NULL) .'>'.lang('Открытые','Вiдкритi').'</option>
	<option value="1"'. ($shop['access_kom'] == 1?' selected="selected"':NULL) .'>'.lang('Закрытые','Закритi').'</option>
	</select>
	</div>';
	//echo '<div class="block">Фото товара 1: <input type="file" name="screen" multiple accept="image/*,image/jpeg"></div>';
	//echo '<div class="block">Фото товара 2: <input type="file" name="screen2" multiple accept="image/*,image/jpeg"></div>';
	//echo '<div class="block">Фото товара 3: <input type="file" name="screen3" multiple accept="image/*,image/jpeg"></div>';
	//echo '<input type="hidden" name="save" value="1"/>
	echo'<input class="button2" type="submit" value="'.lang('Создать','Редагувати').'"/>';
		require_once '../incfiles/foot.php'; exit;
	}
	

	
	require_once '../incfiles/foot.php'; exit;
}

if(!empty($_GET['del'])){
	
	mysql_query("DELETE FROM `shop` WHERE `id` = '".intval($_GET['del'])."'");
	mysql_query("DELETE FROM `shop_comm` WHERE `fid` = '".intval($_GET['del'])."'");
	go(URL.'/groups/shop.php?id='.$id);
}

if(!empty($_GET['view'])){
	$req = mysql_query("SELECT * FROM `shop` WHERE `id` = '".intval($_GET['view'])."' LIMIT 1");
	$shop = mysql_fetch_array($req);
	
	echo '<div class="title">
	<a href="'.URL.'/groups/?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Сообщество','Спільнота').'</a>
	<a href="'.URL.'/groups/shop.php?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Магазин - товары','Крамниця - товари').'</a> ';
	
		
		if($user['level'] == 1 or in_array($user_id, explode("||", substr($arr_group['admins'], 1, -1)))){
			$del = '<a href="shop.php?del='.$shop['id'].'&id='.$id.'" onclick="Page.Go(this.href); return false"> <img src="'.URL.'/design/img/closed.png"/></a>';
			echo '<a href="shop.php?del='.$shop['id'].'&id='.$id.'" onclick="Page.Go(this.href); return false"> <img src="'.URL.'/design/img/closed.png"/> '.lang('Удалить товар','Видалити товар').' </a>';
		}	
	
		
		
		
		
	
	
	
	echo '</div>';
	
	
	
	
	echo '<div class="title">'.lang('Название товара','Назва товару').' -  '.$shop['name'].'</div>';
	echo '<div class="block">'.lang('Продавец','Продавець').'</br> '.user_name($shop['user_id']).'</p></br>
	'.lang('Добавлено','Додано').' - '.vtime($shop['time']).' </br> 
	'.lang('Цeна','Ціна').' UAH  ('.$shop['uah'].') </br>
	'.lang('Цeна','Ціна').' USD  ('.$shop['usd'].')
	</div>';
	  echo'<div class="block">'.lang('Описание товара','Опис товару').' : </div>';
	echo'<div class="block">'.smiles(text($shop['text'])).'</div>';
	
	if(!empty($shop['screen'])) echo'<div class="block  video_block"><a href="'.URL.'/files/shop/'.$shop['screen'].'"><img src="../files/shop/'.$shop['screen'].'"></a></div>';

	if(!empty($shop['screen2'])) echo'<div class="block  video_block"><a href="'.URL.'/files/shop/'.$shop['screen2'].'"><img src="../files/shop/'.$shop['screen2'].'"></a></div>';

	if(!empty($shop['screen3'])) echo'<div class="block  video_block"><a href="'.URL.'/files/shop/'.$shop['screen3'].'"><img src="../files/shop/'.$shop['screen3'].'"></a></div>';

	if (!empty($user_id) && $user_id != $id)echo '<center><div class="title"><a href="'.URL.'/mail/new.php?&id='.$id.'" onclick="Page.Go(this.href); return false"> <img src="'.URL.'/design/img/money_gold.png"/> '.lang('Купить товар','Купити товар').'   ('.lang('Написать продавцу','Написати продавцю').')</a></div></center>';
  
	
	if (!empty($user_id) && $shop['access_kom'] == 0)
			{
				?>
<script type="text/javascript">
$(function(){
	$('#form').on('submit', function(e){
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      success: function(response){
        if(response){
 			$('#content_comm').load($that.attr('action')+ '#content_comm .comm');
			$('#textarea').val('');
       }
     }
    });
  });
});

$(function(){
	$('#form_re_comm').on('submit', function(e){
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      success: function(response){
        if(response){
 			Page.Go($that.attr('action'));
       }
     }
    });
  });
});
</script>

<?
	require_once 'handler/del_comm_shop.php';
	require_once 'handler/comm_shop.php';
	
			echo '<div class="block2">
				<form id="form" method="post" action="'.URL.'/groups/shop.php?view='.$_GET['view'].'&id='.$id.'">
				<textarea id="textarea" class="input" name="comm" rows="4"></textarea>
				<input class="button2" type="submit" value="'.lang('Написать','Написати').'"/>
				<a class="button3" href="'.URL.'/ajax/smiles.php" onclick="FormContent.Smiles(this.href); return false"><img src="'.URL.'/design/img/smile.png"/></a>
				</form>
				</div>
				<div id="form_content"></div>';
			}
	
	echo '<div id="content_comm"><div class="comm">
			<div class="title">'.lang('Отзивы','Відгуки').' <div class="right">'.$shop['comm'].'</div></div>';
		
			$all = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `shop_comm` WHERE `fid` = '".$shop['id']."' LIMIT 1"),0);
			if ($all == true)
			{
				$cp = ceil($all/10);
				$p = (isset($_GET['p']) and is_numeric($_GET['p']) and $_GET['p']>1 and $_GET['p']<=$cp) ? $_GET['p'] : 1;
				$start = $p*10-10;

				$arr_comm = mysql_query("SELECT * FROM `shop_comm` WHERE `fid` = '".$shop['id']."' ORDER by `time` DESC LIMIT $start,10");
				while ($arr = mysql_fetch_array($arr_comm))
				{
					echo '<div class="block">';
					if (!empty($user_id) && $user_id == $shop['user_id'] or !empty($user_id) && $user_id == $arr['user_id']) echo '<div class="right"><a href="'.URL.'/groups/shop.php?view='.$_GET['view'].'&id='.$id.'&p='.$p.'&del_comm='.$arr['id'].'" onclick="Form.delPost(this.href); return false"><img src="'.URL.'/design/img/closed.png"/></a></div>';
					echo user_name($arr['user_id']).'<br/>'.vtime($arr['time']).'<ul>';
					if (!empty($arr['quote_id'])) echo '<div class="quote">'.user_name($arr['quote_id']).' '.lang('пишет','пише').':<ul>'.smiles(text($arr['quote'])).'</ul></div>';
					echo smiles(text($arr['text'])).'</ul>';
					if (!empty($user_id) && $user_id != $arr['user_id']  && $shop['access_kom'] == 0)
					{
						echo '<ul><a class="link_re_comm" id="link_re_comm_'.$arr['id'].'" href="" onclick="Form.reComm('.$arr['id'].'); return false">'.lang('Ответить','Відповісти').'</a></ul>
						<div class="re_comm" id="re_comm_'.$arr['id'].'">
						<form id="form_re_comm" method="post" action="'.URL.'/groups/shop.php?view='.$_GET['view'].'&id='.$id.'">
						<textarea class="input" name="re_comm" rows="4"></textarea>
						<input type="hidden" name="re_id" value="'.$arr['id'].'"/>
						<input class="button2" type="submit" value="'.lang('Написать','Написати').'"/>
						</form>
						</div>';
					}
					echo '</div>';
				}
			}
			navi($p,$cp,''.URL.'/groups/shop.php?view='.$_GET['view'].'&id='.$id.'&');
			echo '</div></div>';
	
	require_once '../incfiles/foot.php'; exit;
}

if($_GET['shop'] == 'new' and empty($_GET['view'])){
	if (!empty($user_id) && $arr_group['access_shop'] == 0 || !empty($user_id) && $arr_group['access_shop'] == 1 && in_array($user_id, explode("||", substr($arr_group['users'], 1, -1))) || !empty($user_id) && $arr_group['access_shop'] == 2 && in_array($user_id, explode("||", substr($arr_group['admins'], 1, -1)))){
		
		echo '<div class="title">
	<a href="'.URL.'/groups/?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Сообщество','Спільнота').'</a>
	<a href="'.URL.'/groups/shop.php?shop=new&id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Добавить товар','Додати товар').'</a>
	</div>';
	

	
		
		if($_POST['save'] == 1){
			
			$ext = mb_strtolower(pathinfo($_FILES['screen']['name'], PATHINFO_EXTENSION));
			$rand = mt_rand(1111111,9999999);
			
			$ext2 = mb_strtolower(pathinfo($_FILES['screen2']['name'], PATHINFO_EXTENSION));
			$rand2 = mt_rand(2222222,8888888);
			
			$ext3 = mb_strtolower(pathinfo($_FILES['screen3']['name'], PATHINFO_EXTENSION));
			$rand3 = mt_rand(3333333,7777777);
			
			if(empty($_POST['name'])){
				echo ok(lang('Вы не указали названия','Ви не вказали найменування'));
			}elseif(empty($_POST['msg'])){
				echo ok(lang('Вы не указали сообщения','Ви не вказали повідомлення'));
				}elseif(empty($_POST['uah'])){
				echo ok(lang('Вы не указали uah','Ви не вказали uah'));
				}elseif(empty($_POST['usd'])){
				echo ok(lang('Вы не указали usd','Ви не вказали usd'));
				
				}elseif($ext != 'png' && $ext != 'gif' && $ext != 'jpeg' && $ext != 'jpg'){
				echo ok(lang('Неверное расширения скриншота','Неверное расширения скриншота'));
				}elseif($ext2 != 'png' && $ext2 != 'gif' && $ext2 != 'jpeg' && $ext2 != 'jpg'){
				echo ok(lang('Неверное расширения скриншота 2','Неверное расширения скриншота 2'));
				}elseif($ext3 != 'png' && $ext3 != 'gif' && $ext3 != 'jpeg' && $ext3 != 'jpg'){
				echo ok(lang('Неверное расширения скриншота 3','Неверное расширения скриншота 3'));
			}else{
				
				$name_sheck = mysql_num_rows(mysql_query("SELECT * FROM `shop` WHERE `name` = '".mysql_real_escape_string($_POST['name'])."'"));
				
				if($name_sheck == 0){
					mysql_query("INSERT INTO `shop` SET `group_id` = '$id', 
					`name` = '".mysql_real_escape_string($_POST['name'])."',
					`text` = '".mysql_real_escape_string($_POST['msg'])."',
					`uah` = '".mysql_real_escape_string($_POST['uah'])."',
					`usd` = '".mysql_real_escape_string($_POST['usd'])."',
					`time` = '".time()."',
					`screen` = '$rand.$ext',
					`screen2` = '$rand2.$ext2',
					`screen3` = '$rand3.$ext3',
					`user_id` = '".$user_id."',
					`access_kom` = '".abs(intval($_POST['access_kom']))."'"); 
					
					copy($_FILES['screen']['tmp_name'], '../files/shop/'.$rand.'.'.$ext);
					copy($_FILES['screen2']['tmp_name'], '../files/shop/'.$rand2.'.'.$ext2);
					copy($_FILES['screen3']['tmp_name'], '../files/shop/'.$rand3.'.'.$ext3);
				}
					
					
					go(URL.'/groups/shop.php?view='.mysql_insert_id().'&id='.$id);
			}
		}
		
		
		
	?>
<script type="text/javascript">

$(function(){
			$('#form').on('submit', function(e){
 		    e.preventDefault();
		    var $that = $(this),
		        formData = new FormData($that.get(0));
		    $.ajax({
		      url: $that.attr('action'),
   		     type: $that.attr('method'),
		      contentType: false,
		      processData: false,
		      data: formData,
		      success: function(response){
 		       if(response){
 					$('#content_wall').load($that.attr('action')+ '#content_wall .wall');
					$('#textarea').val('');
			        $("#cache_photos").html('');
			        $("#cache_audio").html('');
		      }
		    }
		    });
		  });
		});

$(function(){
	$('#form').on('submit', function(e){
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      success: function(response){
        if(response){
 			$('.content').html(response);
       }
     }
    });
  });
});
</script>

<?	



		echo '<form id="form" method="post" action="'.URL.'/groups/shop.php?shop=new&id='.$id.'" enctype="multipart/form-data">';
		echo '<div class="block">'.lang('Название товара','Назва товару').'<font color="red">*</font>: <input class="input" type="text" name="name"></div>';
		echo '<div class="block">'.lang('Описание','Опис').'<font color="red">*</font>: <textarea class="input" name="msg" rows="4"></textarea></div>
		<div class="block">'.lang('Цена','Ціна').' UAH <font color="red">*</font>: <input class="input" name="uah" rows="4"></textarea></div>
		<div class="block">'.lang('Цена','Ціна').' USD <font color="red">*</font>: <input class="input" name="usd" rows="4"></textarea></div>

		<p><div id="cache_photos">';

	

		echo '<div class="block">
	'.lang('Отзивы','Відгуки').': 
	<select class="input2" name="access_kom">
	<option value="0">'.lang('Открытые','Вiдкритi').'</option>
	<option value="1">'.lang('Закрытые','Закритi').'</option>
	</select>
	</div>';
	
	echo '<div class="block">Фото товара 1 <font color="red">*</font>: <input type="file" name="screen" multiple accept="image/*,image/jpeg"></div>';
		echo '<div class="block">Фото товара 2 <font color="red">*</font>: <input type="file" name="screen2" multiple accept="image/*,image/jpeg"></div>';
		echo '<div class="block">Фото товара 3 <font color="red">*</font>: <input type="file" name="screen3" multiple accept="image/*,image/jpeg"></div>';
	echo '<input type="hidden" name="save" value="1"/>
	<input class="button2" type="submit" value="'.lang('Создать','Створити').'"/>';
		require_once '../incfiles/foot.php'; exit;
	}
	
}

echo '<div class="title">
	<a href="'.URL.'/groups/?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Сообщество','Спільнота').'</a>';
	
	if (!empty($user_id) && $arr_group['access_shop'] == 0 || !empty($user_id) && $arr_group['access_shop'] == 1 && in_array($user_id, explode("||", substr($arr_group['users'], 1, -1))) || !empty($user_id) && $arr_group['access_shop'] == 2 && in_array($user_id, explode("||", substr($arr_group['admins'], 1, -1)))){
		echo '<a class="title_a_hover" href="'.URL.'/groups/shop.php?shop=new&id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Добавить товар','Додати товар').'</a>';
	}
		
	
	echo '</div><div class="title">'.$title.'</div>';
$req = mysql_query("SELECT * FROM `shop` WHERE `group_id` = '".$id."' ORDER BY `id` DESC");
if(mysql_num_rows($req) > 0){
	while($shop = mysql_fetch_array($req)){
		if($user['level'] == 1 or in_array($user_id, explode("||", substr($arr_group['admins'], 1, -1)))){
			$del = '<a href="shop.php?del='.$shop['id'].'&id='.$id.'" onclick="Page.Go(this.href); return false"><img src="'.URL.'/design/img/closed.png"/></a>';
		}
		echo '<div class="block"><a href="shop.php?view='.$shop['id'].'&id='.$id.'" onclick="Page.Go(this.href); return false">'.$shop['name'].'</a><div class="right">'.$shop['comm'].' '.$del.'</div></div>';
	}
}else{
	echo '<div class="block">'.lang('Нет новых товаров в магазине','Немає товарів у крамниці').'</div>';
}

require_once '../incfiles/foot.php';

?>